Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 2044

Summary: Cannot use old rdist to a RedHat machine
Product: [Retired] Red Hat Raw Hide Reporter: Chris Siebenmann <cks-rhbugzilla>
Component: rdistAssignee: Phil Knirsch <pknirsch>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: low    
Version: 1.0CC: rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-04-12 17:36:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Chris Siebenmann 1999-04-07 23:17:11 UTC
When the new rdist is contacted by an old rdist, it is
supposed to fall back to running the old rdist in server
mode. Unfortunately, this doesn't work on RedHat for two
reasons:
	- the compiled in path to the old rdist is
	  /usr/ucb/oldrdist, which doesn't exist
and	- there is no package supplying the old rdist.

 It is possible to supply a safe (non-setuid) old rdist.
See for example the version at
	ftp://ftp.sys.utoronto.ca/pub/rdist.tar.gz
which is a quick derivative of the Net/2 version.

PS: please don't 'fix' this by removing the fallback from
    rdist; as it is, one can at least manually supply a
    suitable program/symlink to make it work.

Comment 1 Jeff Johnson 1999-04-09 19:03:59 UTC
We won't add the old rdist to the Red Hat distribution
(although we probably would consider the old rdist for inclusion
in powertools).

The path /usr/ucb/oldrdist should probably be changed to
/usr/bin/oldrdist. Meanwhile, the path is there for those
who need it.

Please reopen this bug if you want the path changed. Send me
mail if you want to try and get oldrdist included in powertools.

Thanks for the report.

Comment 2 Chris Siebenmann 1999-04-10 04:16:59 UTC
I'll agree with making the path /usr/bin/oldrdist, instead of
/usr/ucb/oldrdist; at least that way one is making a link in an
existing (and proper) directory.

Comment 3 Jeff Johnson 1999-04-12 17:36:59 UTC
Path to version 1 rdist binary changed to /usr/bin/oldrdist in
rdist-6.1.5-6.